JTabbedPane.AccessibleJTabbedPane (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing, class: JTabbedPane, class: AccessibleJTabbedPane
Keywords: javax.swing.JTabbedPane.AccessibleJTabbedPane class

Module java.desktop
Package javax.swing

# Class JTabbedPane.AccessibleJTabbedPane

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Container.AccessibleAWTContainer
javax.swing.JComponent.AccessibleJComponent
javax.swing.JTabbedPane.AccessibleJTabbedPane

All Implemented Interfaces:
  `Serializable`, `EventListener`, `AccessibleComponent`, `AccessibleExtendedComponent`, `AccessibleSelection`, `ChangeListener`

Enclosing class:
  JTabbedPane

    protected class JTabbedPane.AccessibleJTabbedPane
    extends JComponent.AccessibleJComponent
    implements AccessibleSelection, ChangeListener

This class implements accessibility support for the `JTabbedPane` class. It provides an implementation of the Java Accessibility API appropriate to tabbed pane user-interface elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.JComponent.AccessibleJComponent

  `JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

  ## Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

  `Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

- ## Field Summary

  ### Fields declared in class javax.swing.JComponent.AccessibleJComponent

  `accessibleFocusHandler`

  ### Fields declared in class java.awt.Container.AccessibleAWTContainer

  `accessibleContainerHandler`

  ### Fields declared in class java.awt.Component.AccessibleAWTComponent

  `accessibleAWTComponentHandler, accessibleAWTFocusHandler`

  ### Fields declared in class javax.accessibility.AccessibleContext

  `ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AccessibleJTabbedPane()` | Constructs an AccessibleJTabbedPane

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Accessible` | `getAccessibleAt​(Point p)` | Returns the `Accessible` child contained at the local coordinate `Point`, if one exists.
  `Accessible` | `getAccessibleChild​(int i)` | Return the specified Accessible child of the object.
  `int` | `getAccessibleChildrenCount()` | Returns the number of accessible children in the object.
  `String` | `getAccessibleName()` | Returns the accessible name of this object, or `null` if there is no accessible name.
  `AccessibleRole` | `getAccessibleRole()` | Get the role of this object.
  `AccessibleSelection` | `getAccessibleSelection()` | Gets the `AccessibleSelection` associated with this object.

  ### Methods declared in class javax.swing.JComponent.AccessibleJComponent

  `addPropertyChangeListener, getAccessibleDescription, getAccessibleKeyBinding, getAccessibleStateSet, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

  ### Methods declared in class java.awt.Component.AccessibleAWTComponent

  `addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

  ### Methods declared in class javax.accessibility.AccessibleContext

  `firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleTable, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.accessibility.AccessibleComponent

  `addFocusListener, contains, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

  ### Methods declared in interface javax.accessibility.AccessibleSelection

  `addAccessibleSelection, clearAccessibleSelection, getAccessibleSelection, getAccessibleSelectionCount, isAccessibleChildSelected, removeAccessibleSelection, selectAllAccessibleSelection`

  ### Methods declared in interface javax.swing.event.ChangeListener

  `stateChanged`

- ## Constructor Details

  - ### AccessibleJTabbedPane

    public AccessibleJTabbedPane()
    Constructs an AccessibleJTabbedPane

- ## Method Details

  - ### getAccessibleName

    public String getAccessibleName()
    Returns the accessible name of this object, or `null` if there is no accessible name.
    Overrides:
      `getAccessibleName` in class `JComponent.AccessibleJComponent`
    Returns:
      the accessible name of this object, or `null`.
    Since:
      1.6
    See Also:
      `AccessibleContext.setAccessibleName(java.lang.String)`

  - ### getAccessibleRole

    public AccessibleRole getAccessibleRole()
    Get the role of this object.
    Overrides:
      `getAccessibleRole` in class `JComponent.AccessibleJComponent`
    Returns:
      an instance of AccessibleRole describing the role of the object
    See Also:
      `AccessibleRole`

  - ### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()
    Returns the number of accessible children in the object.
    Overrides:
      `getAccessibleChildrenCount` in class `JComponent.AccessibleJComponent`
    Returns:
      the number of accessible children in the object.

  - ### getAccessibleChild

    public Accessible getAccessibleChild​(int i)
    Return the specified Accessible child of the object.
    Overrides:
      `getAccessibleChild` in class `JComponent.AccessibleJComponent`
    Parameters:
      `i` - zero-based index of child
    Returns:
      the Accessible child of the object
    Throws:
      `IllegalArgumentException` - if index is out of bounds
    See Also:
      `AccessibleContext.getAccessibleChildrenCount()`

  - ### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()
    Gets the `AccessibleSelection` associated with this object. In the implementation of the Java Accessibility API for this class, returns this object, which is responsible for implementing the `AccessibleSelection` interface on behalf of itself.
    Overrides:
      `getAccessibleSelection` in class `AccessibleContext`
    Returns:
      this object
    See Also:
      `AccessibleSelection`

  - ### getAccessibleAt

    public Accessible getAccessibleAt​(Point p)
    Returns the `Accessible` child contained at the local coordinate `Point`, if one exists. Otherwise returns the currently selected tab.
    Specified by:
      `getAccessibleAt` in interface `AccessibleComponent`
    Overrides:
      `getAccessibleAt` in class `Container.AccessibleAWTContainer`
    Parameters:
      `p` - the point defining the top-left corner of the `Accessible`, given in the coordinate space of the object's parent
    Returns:
      the `Accessible` at the specified location, if it exists